Bug 4820 - kwallet is not localized
: kwallet is not localized
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-23 16:20 MSK by FirstLevel
Modified: 2016-01-29 18:39 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
kwallet.jpg (76.11 KB, image/jpeg)
2014-12-23 16:20 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2014-12-23 16:20:19 MSK
Created attachment 3584 [details]
kwallet.jpg

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2014-12-23 16:20:35 MSK
Case is actual for live mode
Comment 2 FirstLevel 2015-01-14 13:39:25 MSK
Актуально с этими обновлениями http://bugs.rosalinux.ru/show_bug.cgi?id=4858
Comment 3 FirstLevel 2015-01-14 13:39:46 MSK
case actual for installed system
Comment 4 JDronova 2015-01-14 19:04:59 MSK
Это не сам KWallet, надо посмотреть, откуда берутся названия этих папок, попробую разобраться. Возможно, fontfix или invalid
Comment 5 Denis Silakov 2016-01-29 18:39:04 MSK
Это wontfix. Названия этих вкладок приезжают от приложений, которые хотят что-то сохранить в kwallet, т.е. локализовывать надо каждое такое приложение. Но этого не происходит по тому соображению, что простое переключение локали приведет к тому, что приложение начнет лазить в kwallet по другому ключу. Например, впользователь работал в английской локали и данные складывались в "Form Data". Потом сменил локаль на русскую и приложение теперь будет лазить в "Данные Форм". Соответсвенно все, что сохранялось в "Form Data", будет по факту потеряно. Дорабатывать приложения, чтобы он умели во все подряд ключи тыкать (по всем локализованным называниям смотреть) - мягко говоря, не очень разумно. Вот и не переводит никто эти названия.

Btw, пример из кода chromium (https://chromium.googlesource.com/experimental/chromium/src/+/refs/wip/bajones/webvr/chrome/browser/password_manager/native_backend_kwallet_x.cc?autodive=0%2F%2F%2F%2F%2F%2F%2F#39):

// We could localize this string, but then changing your locale would cause
// you to lose access to all your stored passwords. Maybe best not to do that.
// Name of the folder to store passwords in.
const char kKWalletFolder[] = "Chrome Form Data";